\section{Introduction}
\label{sec:1}

%\comment{alte referenzen in neue umbennenen: dissJulian -> Koellermeier,...}
Kinetic theory is used in many applications, especially to derive simplified model equations for systems consisting of small, colliding particles that can no longer be described by standard continuum equations \cite{cercignani1994,Struchtrup2006}. For rarefied gases and micro or nano flows, the Boltzmann-Bhatnagar–Gross–Krook (BGK) equation is often used as a simplification of the full Boltzmann equation when developing mathematical models. However, it is still difficult to solve even the one-dimensional Boltzmann-BGK equation due to the additional dimension of the phase space, which consists of time, physical space and velocity space \cite{Cercignani1972}. On the other hand, simpler standard continuum dynamics models like the Euler or Navier-Stokes equations do not give accurate solutions and even miss so called rarefaction effects in the regime of large Knudsen number \cite{Grad1949} so that extended models are necessary, \cite{Bobylev2006,Torrilhon2016}.

One approach is the direct discretization of velocity space, called Discrete Velocity Method (DVM) \cite{Baranger2012,dechriste2014,Filbet2013}. However, a large number of discrete velocities is necessary to achieve a sufficient accuracy. These models thus often lack computational efficiency, even though they are easy to parallelize. Locally adaptive versions try to circumvent this by shifting the velocity grid in every step \cite{Brull2014}.

A straightforward extension of the Navier-Stokes equations leads to the so-called Burnett equations, which have been proven to be unstable \cite{Struchtrup2006}. Other methods to derive models for simulations of rarefied gases are via the Nonlinear Coupled Constitutive Relations (NCCR) \cite{Zhongzheng2019} or the Unified Gas Kinetic Scheme (UGKS) \cite{Xu2010}.

A different approach is to employ moment models that use a special ansatz for the distribution function, including only a small number of variables that capture the distribution function well for small to medium deviations from equilibrium \cite{Struchtrup2006,Torrilhon2016}. This is based on the seminal work by Grad \cite{Grad1949}, who used a weighted Hermite polynomial ansatz for the distribution function. The moment models were extended with great success in recent years by \cite{Cai2010,Torrilhon2015}. The resulting system of equations is called moment equations, for example, the HME or QBME method \cite{Cai2013,Fan2016,Koellermeier2014}, and is based on a polynomial expansion or the maximum entropy method \cite{Levermore1996,McDonald} using an exponential ansatz. All existing models typically balance between computational efficiency, accuracy, and analytical properties like hyperbolicity, conservation properties or existence of an entropy. We refer to the review article \cite{Torrilhon2016} for further details.

The explicit terms of the moment equations are largely decided by the choice of the ansatz for the distribution function. It can be a simple, piecewise constant distribution function as in the DVM case, a sum of globally supported basis functions as in the case of HME, or an even more non-linear exponential ansatz like the maximum entropy method, where no closed form of the equations exists in the general case.

In this paper we present a new model called Spline Moment Equations (SME), which is based on the choice of weighted spline functions as basis for the reconstruction of the distribution function. Even though this is to some extend a consistent extension of the DVM method, up to our knowledge, there is no work in the literature about moment models based on piecewise, higher degree polynomials like splines.

Several works using piecewise polynomials for the Boltzmann equation are limited to the space-time domain, see e.g. \cite{Kitzler2017,KITZLER2015}. There exists some work in the context of a direct discontinuous Galerkin discretization of the velocity space for computation of the collision operator \cite{Zhang2018,Alekseenko2012,Alekseenko2014}, with a focus on the collision term of the full Boltzmann equation. However, the simultaneous discretization in the full phase space does not lead to a closed moment model in the sense of the above methods. Furthermore, the discretization using a fixed grid in velocity space does not allow for an efficient, adaptive approximation in velocity space. We will cover both points in this paper.

Standard splines, i.e. piecewise polynomials with bounded support and certain continuity properties, are not a-priori suitable for the reconstruction of typical distribution functions in kinetic theory. This is because conservation of mass, momentum, and energy, which are integral values of the distribution function, need to be conserved. We thus use a specific linear combination of four weighted B-splines that ensures compatibility with the respective conservation laws. We call those \emph{weighted fundamental constrained splines}. We study the approximation properties of these basis functions in comparison to an unweighted or unconstrained spline basis to identify these weighted constrained splines as a suitable basis.

We combine the spline approach with a shifting and scaling of the distribution function to allow for an efficient and accurate approximation of the Boltzmann equation, first used in \cite{Kauf2011} and applied to globally defined Hermite basis functions in \cite{Koellermeier2014b}. This leads to a transformed adaptive grid in the velocity space and greatly decreases the number of variables needed. The SME are obtained by insertion of the spline basis ansatz into the Boltzmann equation and by Galerkin projecting onto respective spline test functions.

A slightly different approach was described in \cite{Kauf2011} and briefly tested for some spline functions, without an in depth study of the approximation properties or numerics used. In \cite{Koellermeier2014,Koellermeier2014b} the approach by Kauf was used for weighted Hermite basis functions to derive hyperbolic moment equations. Without any modification, the Hermite-based moment equations will only be hyperbolic in a bounded domain of the variable space. This might lead to numerical instabilities and a breakdown of the simulation away from equilibrium. Many models have been developed to solve this problem and to arrive at globally hyperbolic models \cite{Fan2016,Koellermeier2017b}. We therefore study hyperbolicity and show that the SME has a similar behavior as Grad's equations. In the appendix we introduce a simple, linearized version of the equations that retains hyperbolicity at the expense of some accuracy.

The simulation results of the one-dimensional Boltzmann-BGK equation for the shock tube test case yield the first systematic investigation of a moment model based on piecewise polynomial spline functions. Further tests for the symmetric two-beam problem and the stationary shock structure test case show that the new SME model outperforms several existing hyperbolic moment models, despite using only a small number of variables and a straightforward basis definition.

The rest of this paper is organized as follows: In Section \ref{sec:2} the one-dimensional Boltzmann-BGK equation is briefly described. Section \ref{sec:3} outlines the construction of approximation spaces via spline basis functions and examples. Different spline basis functions are investigated in detail with respect to their ability to approximate standard distribution functions in Section \ref{sec:4}. The derivation of moment equations from the spline basis functions and its stability analysis is described in Section \ref{sec:5}, before three different numerical tests highlight the good approximation quality of the new SME model in Section \ref{sec:6}. The paper ends with a short conclusion.
